PNGNQ(1)

NAME
pngnq - quantize png images

SYNOPSIS
pngnq [-vfhV][-s sample_factor ][-Q dither ][-g gamma ][-e extension ][-d dir ][-n colors ][ inputfiles ]

DESCRIPTION
pngnq quantizes a 32-bit RGBA PNG image to an 8 bit RGBA palette PNG using the neuquant algorithm. The output file name is the input file name extended with "-nq8.png" or a specified extension.

The "input files" defaults to standard input if not specified. If standard input is being processed the output is sent to standard output.

OPTIONS

-d dir
    Tells pngnq to put output files in a directory other than the one the input files are in.

-e extension
    Specifies the new filename extension. Defaults to "-nq8.png". Pngnq drops .png from the original filenames. If you set the argument of the -e option to .png and choose the -f option the input file will be overwritten.

-f  Force overwriting of files.

-g gamma
    Set the image gamma correction. If not present, uses the png file's gamma or defaults to 1.0.

-h  Print program help.

-n colors
    Specifies the number of colors to quantize to. Defaults to 256 which is the maximum. The minimum here is 2.

-Q dither
    Choose a dithering method: n = no dither (default), f = Floyd Steinberg dithering.

-s sample factor
    Sample factor. The neuquant algorithm samples pixels stepping by this value. The default value of 3 gives good results. Higher values sample less of the image pixels and thus are faster but less accurate. A factor of 1 samples every image pixel.

-v  Verbose mode. Prints status messages.

-V  Print version number and library versions.

BUGS
Does not deal correctly with greyscale alpha images with low bit depths, but these wont benefit from quantizing.

AUTHOR
Stuart Coyle <stuart.coyle@gmail.com>

SEE ALSO
png(5)